> ## Documentation Index
> Fetch the complete documentation index at: https://docs.magna.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Admin Wallets

> List the project wallets (admin wallets) available to your project.

List the project (admin) wallets available to your project. Use a returned
wallet `id` as the `adminWalletId` / `projectWalletId` in transaction and
allocation requests.

**Route:** `GET /api/external/v1/wallets/admin-wallets`

## Headers

| Header              | Required | Description                |
| ------------------- | -------- | -------------------------- |
| `Content-Type`      | Yes      | Must be `application/json` |
| `x-magna-api-token` | Yes      | Your Magna API token       |

## Request example

```sh theme={null}
curl -X GET https://app.magna.so/api/external/v1/wallets/admin-wallets \
-H 'Content-Type: application/json' \
-H 'x-magna-api-token: YOUR_API_KEY'
```

## Response example

```json theme={null}
{
  "items": [
    { "id": "w1...uuid", "address": "0x...", "platform": "EVM" }
  ],
  "total": 1
}
```
